Bug 2593 - way to duplicate items
Summary: way to duplicate items
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: PC All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Matthias Meusburger
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-08 04:29 UTC by Nicole C. Engard
Modified: 2011-04-27 04:48 UTC (History)
6 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Patch for head (9.04 KB, patch)
2009-07-17 15:28 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 00:53:15 UTC


---- Reported by nengard@gmail.com 2008-09-08 16:29:33 ----

It would be great to have a way to duplicate items when adding them so that you can easily add multiple items for the same biblio when adding a new record to the catalog.

-- why not make it so that you can have a plus sign next to barcode field so you can put multiple barcodes in and create multiple items with the same info
          o rch: good idea -- perhaps copy number as well.  enhancement request or sponsored development.

-- another option is to make it so that there is an 'Add Item' and 'Add & Duplicate' button under the add item form so that someone can easily get a form for a new item that is already filled in with data from the previous item.



---- Additional Comments From nicolas.morin@biblibre.com 2009-06-15 08:54:19 ----

I like Nicole's 2d suggestion better.
With a twist maybe : 3 buttons at the end of the form?
-> current "Add Item"
-> new "Add & Duplicate", which saves the current item and opens a new form with fields filed with values taken from previous item just saved.
-> new "Add multiple copies", which when clicked, asks for number of copies in a javascript and creates them, taking the barcode of item being saved as a starting point for incrementation

Question : what happens when barcodes are duplicate?



---- Additional Comments From nengard@gmail.com 2009-06-18 14:46:16 ----

A note from a Koha user without a bugzilla account:

--------------

My comment is that it would be nice to have the option to scan in the item's barcodes instead of having them assigned automatically. We have so many processors that they often have barcodes that are not in numeric order- Another processor will be using next sheet.

Susan Bennett



---- Additional Comments From nicolas.morin@biblibre.com 2009-06-19 07:15:24 ----

(In reply to comment #2)
> A note from a Koha user without a bugzilla account:
> 
> --------------
> 
> My comment is that it would be nice to have the option to scan in the item's
> barcodes instead of having them assigned automatically. We have so many
> processors that they often have barcodes that are not in numeric order- Another
> processor will be using next sheet.
> 
> Susan Bennett
> 

This is getting messy : an option within an option, etc.
Nicole : any idea how you would want that implemented?




---- Additional Comments From magnus@enger.priv.no 2009-06-19 07:21:45 ----

(In reply to comment #3)
> (In reply to comment #2)
> > A note from a Koha user without a bugzilla account:
> > 
> > --------------
> > 
> > My comment is that it would be nice to have the option to scan in the item's
> > barcodes instead of having them assigned automatically. We have so many
> > processors that they often have barcodes that are not in numeric order- Another
> > processor will be using next sheet.
> > 
> > Susan Bennett
> > 
> 
> This is getting messy : an option within an option, etc.
> Nicole : any idea how you would want that implemented?
> 

Wouldn't Bennett's wish be covered by nicomo's "Add & Duplicate"? Then those who don't have barcodes in numeric order can add the first item, click "Add & Duplicate", read the second barcode, click "Add & Duplicate", read the third barcode etc? 



---- Additional Comments From nengard@gmail.com 2009-06-19 11:36:33 ----

Magnus, 

Sounds like it would - I'm going to include her on this bug so that she can try to answer these questions for herself.



---- Additional Comments From susan.bennett@geaugalibrary.info 2009-06-22 14:00:21 ----

Yes, the add and duplicate does sound like it would work. Thanks for the suggestion. Susan Bennett



---- Additional Comments From matthias.meusburger@biblibre.com 2009-07-17 15:28:31 ----

Created an attachment
Patch for head





---- Additional Comments From gmcharlt@gmail.com 2009-07-21 00:51:47 ----

Patch pushed to HEAD.  Please test and close.



---- Additional Comments From nengard@gmail.com 2009-07-22 15:22:50 ----

documentation added - awesome addition!!!

http://koha.org/documentation/manual/3.2/cataloging/adding-and-deleting-items/view



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 00:53 UTC  ---

This bug was previously known as _bug_ 2593 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=2593
Imported an attachment (id=750)

Actual time not defined. Setting to 0.0
CC member bchurch@ptfs.com does not have an account here
CC member nicolas.morin@biblibre.com does not have an account here
CC member rch@liblime.com does not have an account here
The original submitter of attachment 750 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Chris Cormack 2011-04-27 04:48:18 UTC
This went out in the 3.2.0 release, marking closed